Plugins Directory » Entity Generator

19382 Author: Petr Pospisil
Website: https://github.com/easyredmine/redmine_entity_generator
Code repository: https://github.com/easyredmine/redmine_entity_generator
Registered on: 2017-01-04 (over 3 years ago)
Current version: 1.0.0
Compatible with: Redmine 4.1.x, 4.0.x, 3.4.x, 3.3.x, 3.2.x, 3.1.x, 3.0.x
User ratings:   (0)

Creates UI above console Redmine Plugin & Entity generator

http://your_redmine/entity_generator/new

Video tutorial: https://www.youtube.com/watch?v=0hdmMjKAxZE

 

Plugin Generator

Description:
The plugin generator creates stubs for the new Redmine plugin.
The plugin is prepared for use in generic Redmine.
You can use --customer flag to generate a special plugin if you can make just a few changes to code. Backup this plugin before Redmine upgrade and move back to keep your changes.

Example:
rails g redmine_extensions:plugin NameOfNewPlugin
create plugins/name_of_new_plugin/app/controllers
...

Help:
rails g redmine_extensions:plugin --help

 

Entity Generator

Description:
The entity generator creates a new entity for the Redmine plugin.
The new entity is prepared for use in generic Redmine.

Example:
rails g redmine_extensions:entity NameOfNewPlugin Post
create plugins/name_of_new_plugin/app/controllers
...

Help:
rails g redmine_extensions:entity --help

 

SPECIFICATION

  • Available as a free plugin for generic Redmine
  • 100% open source plugin
  • GNU GPL 2 license
  • 1 Redmine instance
  • Unlimited users
  • Unlimited projects

 

SCREENSHOTS

Redmine plugin generator - new entity

 

Redmine plugin generator - list of entities

 

Redmine plugin generator - Administration

 

Redmine plugin generator - created entities

 

Redmine plugin generator - new custom field

 

Installation notes

Download plugin from https://github.com/easyredmine/redmine_entity_generator into your Redmine plugins folder [redmine]/plugins/redmine_entity_generator

Install new gems:
bundle update
Run Redmine

Compatible with Redmine v3.4.

Changelog

1.0.0 (2017-01-04)

Compatible with Redmine 4.1.x, 4.0.x, 3.4.x, 3.3.x, 3.2.x, 3.1.x, 3.0.x.